import { ErrorType } from './ErrorType';
import { TaskCompletedSolution } from './GetTaskResult';
/**
 * General captcha recognition result
 * @template TSolution Concrete captcha result type
 */
export declare class CaptchaResult<S extends TaskCompletedSolution> {
    /**
     * Error code
     */
    error?: ErrorType;
    /**
     * Task result. Different for each type of task.
     */
    solution?: S;
    constructor({ error, solution }: {
        error?: ErrorType;
        solution?: S;
    });
}
