import { ClientURL } from './ClientURL';
export type ClientOptionsIn = {
    serviceUrl?: URL | string;
    clientKey: string;
    softId?: number;
};
/**
 * Client options
 */
export declare class ClientOptions {
    static defaultSoftId: number;
    /**
     * capmonster.cloud API URI.
     * By default https://api.capmonster.cloud
     */
    serviceUrl: ClientURL;
    /**
     * capmonster.cloud API key
     */
    clientKey: string;
    /**
     * SoftId
     */
    softId?: number;
    constructor(clientOptions: ClientOptionsIn);
}
