"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorCodeConverter = void 0;
const ErrorType_1 = require("./ErrorType");
const Logger_1 = require("./Logger");
class ErrorCodeConverter {
    static convert(errorCode) {
        (0, Logger_1.debugErrorConverter)('errorCode passed', errorCode);
        const prefix = 'ERROR_';
        const prefixLen = prefix.length;
        if (errorCode.startsWith(prefix)) {
            errorCode = errorCode.substring(prefixLen);
        }
        (0, Logger_1.debugErrorConverter)('errorCode prepared', errorCode);
        const errorType = ErrorType_1.ErrorType[errorCode];
        (0, Logger_1.debugErrorConverter)('errorType found', errorType);
        if (errorType) {
            return errorType;
        }
        if (errorCode === 'WRONG_CAPTCHA_ID') {
            return ErrorType_1.ErrorType.NO_SUCH_CAPCHA_ID;
        }
        return ErrorType_1.ErrorType.Unknown;
    }
}
exports.ErrorCodeConverter = ErrorCodeConverter;
