"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debugErrorConverter = exports.debugTask = exports.debugHttp = exports.debugNet = void 0;
let createDebugger = (_) => {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    return (...args) => ({
        [_]: args,
    });
};
if (typeof process === 'object' && 'env' in process && process.env.DEBUG) {
    // require('debug') hide require call from browser bundler, e.g. webpack
    createDebugger = module[`require`].call(module, 'debug');
}
exports.debugNet = createDebugger('cmc-net');
exports.debugHttp = createDebugger('cmc-http');
exports.debugTask = createDebugger('cmc-task');
exports.debugErrorConverter = createDebugger('cmc-errconv');
exports.default = { debugNet: exports.debugNet, debugHttp: exports.debugHttp, debugTask: exports.debugTask, debugErrorConverter: exports.debugErrorConverter };
