import { CaptchaRequestBase, CaptchaRequestBaseIn } from '../CaptchaRequestBase';
export type ImpervaRequestBaseIn = {
    websiteURL: string;
    metadata: {
        incapsulaScriptBase64: string;
        incapsulaSessionCookie: string;
        reese84UrlEndpoint?: string;
    };
    userAgent?: string;
    _class: string;
} & CaptchaRequestBaseIn;
/**
 * Base Imperva recognition request
 */
export declare abstract class ImpervaRequestBase extends CaptchaRequestBase {
    /**
     * Address of a webpage with Imperva.
     */
    websiteURL: string;
    metadata: {
        incapsulaScriptBase64: string;
        incapsulaSessionCookie: string;
        reese84UrlEndpoint?: string;
    };
    /**
     * Browser User-Agent. Pass only the actual UA from Windows OS
     */
    userAgent?: string;
    /**
     * Class of captcha object
     */
    class: string;
    constructor({ type, nocache, websiteURL, userAgent, metadata, _class }: ImpervaRequestBaseIn);
}
