import { ProxyType } from './ProxyType';
export type ProxyInfoIn = {
    proxyType: ProxyType;
    proxyAddress: string;
    proxyPort: number;
    proxyLogin?: string;
    proxyPassword?: string;
};
/**
 * Interface for captcha recognition with proxy requests
 */
export declare class ProxyInfo {
    /**
     * Type of the proxy
     */
    proxyType: ProxyType;
    /**
     * Proxy IP address IPv4/IPv6. Not allowed to use:
     * - host names instead of IPs
     * - transparent proxies(where client IP is visible)
     * - proxies from local networks(192.., 10.., 127...)
     */
    proxyAddress: string;
    /**
     * Proxy port
     */
    proxyPort: number;
    /**
     * Login for proxy which requires authorizaiton (basic)
     */
    proxyLogin?: string;
    /**
     * Proxy password
     */
    proxyPassword?: string;
    constructor({ proxyType, proxyAddress, proxyPort, proxyLogin, proxyPassword }: ProxyInfoIn);
}
