"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecaptchaV3ProxylessRequest = void 0;
const TaskType_1 = require("../TaskType");
const CaptchaRequestBase_1 = require("./CaptchaRequestBase");
/**
 * Recaptcha V3 recognition request (without proxy).
 * {@link https://zenno.link/doc-recaptcha3-en}
 */
class RecaptchaV3ProxylessRequest extends CaptchaRequestBase_1.CaptchaRequestBase {
    constructor({ nocache, websiteURL, websiteKey, minScore, pageAction = 'verify' }) {
        super({ type: TaskType_1.TaskType.RecaptchaV3TaskProxyless, nocache });
        this.websiteURL = websiteURL;
        this.websiteKey = websiteKey;
        this.minScore = minScore;
        this.pageAction = pageAction;
    }
}
exports.RecaptchaV3ProxylessRequest = RecaptchaV3ProxylessRequest;
