import { CaptchaRequestBase, CaptchaRequestBaseIn } from '../CaptchaRequestBase';
export type TenDIRequestBaseIn = {
    websiteURL: string;
    websiteKey: string;
    userAgent?: string;
    _class: string;
} & CaptchaRequestBaseIn;
/**
 * Base TenDI recognition request
 */
export declare abstract class TenDIRequestBase extends CaptchaRequestBase {
    /**
     * Address of a webpage with TenDI.
     */
    websiteURL: string;
    /**
     * TenDI website key.
     */
    websiteKey: string;
    /**
     * Browser User-Agent. Pass only the actual UA from Windows OS
     */
    userAgent?: string;
    /**
     * Class of captcha object
     */
    class: string;
    constructor({ type, nocache, websiteURL, userAgent, websiteKey, _class }: TenDIRequestBaseIn);
}
